package cn.com.infosec.asn1;

class BERFactory {
   static final BERSequence EMPTY_SEQUENCE = new BERSequence();
   static final BERSet EMPTY_SET = new BERSet();

   static BERSequence createSequence(ASN1EncodableVector v) {
      BERSequence var1;
      if (v.size() < 1) {
         BERSequence v1 = EMPTY_SEQUENCE;
         var1 = v1;
      } else {
         var1 = new BERSequence.<init>((DEREncodableVector)v);
      }

      return var1;
   }

   static BERSet createSet(ASN1EncodableVector v) {
      BERSet var1;
      if (v.size() < 1) {
         BERSet v1 = EMPTY_SET;
         var1 = v1;
      } else {
         var1 = new BERSet.<init>((DEREncodableVector)v);
      }

      return var1;
   }

   static BERSet createSet(ASN1EncodableVector v, boolean needsSorting) {
      BERSet var2;
      if (v.size() < 1) {
         BERSet v1 = EMPTY_SET;
         var2 = v1;
      } else {
         var2 = new BERSet.<init>(v, needsSorting);
      }

      return var2;
   }
}
